# Method: tasklists.insert

- [HTTP request](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/insert#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/insert#try-it)

Creates a new task list and adds it to the authenticated user's task lists. A user can have up to 2000 lists at a time.

### HTTP request

`POST https://tasks.googleapis.com/tasks/v1/users/@me/lists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/tasks`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).